mod ability_location_info;
pub mod abilityloader;
pub mod ai;
mod aoe;
pub mod aoe_arc;
pub mod damage_number;
mod entity_faction;
mod ghost;
pub mod health_bar;
mod loot_stash;
pub mod movement;
mod npc_name;

pub use self::{ai::*, aoe_arc::AreaOfEffectArc};

pub use self::{
    ability_location_info::*, aoe::*, damage_number::*, entity_faction::*, ghost::*, health_bar::*,
    loot_stash::*, movement::Movement, npc_name::NPCName,
};

pub const MOVEMENT_MAX_THRESHOLD: f32 = 0.8;
pub const MOVEMENT_MIN_THRESHOLD: f32 = 0.4;
