//! This is the documentation for `gavania-core`
#![deny(rust_2018_idioms)]
#![deny(unused_must_use)]

pub mod game;
mod loader;

pub use anyhow::{Error, Result};

pub use engine::prelude::*;
pub use game::content::prelude::*;
pub use game::game::{Game, GameHandle, StrongGame};
pub use game::handle::*;
pub use loader::settings::*;
